Subject: [P2PSIP] Implementations of draft-ietf-p2psip-base

From: Kundan Singh <[email-masked]>
Date: Wed, 29 Apr 2009 14:12:31 -0700 (PDT)

Hello,

Recently I tried to implement the current proposal of draft-ietf-p2psip-base-02.txt and have to admit that I got scared due to the complexity it has. I am curious to learn about existing open/closed source implementations of this draft if any.

Also, a writeup on how to extend an existing SIP and Chord (DHT) implementation by someone who implemented this draft will be helpful to other implementors.

Thanks,

Kundan
--
"An architect is happy with the design not when he cannot add any more, but when he cannot remove any more without losing the appeal"